be.fgov.ehealth.timestamping.protocol.v2

## Class TSConsultResponse

- java.lang.Object
- - be.fgov.ehealth.timestamping.protocol.v2.TSConsultResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:20:17+02:00",
                 comments="JAXB RI v2.2.11")
      public class TSConsultResponse
      extends Object
      implements Serializable

  response to the TSConsultRequest TSList : list all the time stamp identification that is not listed in the specified request, If there are 2 or more time stamp are requested for the same time stamp bag and in the request there is one identification mention, then then the other identifications will not be mention in this list. This list is not empty if there are not enough time stamp in the archive of the hospital. If the list of the hospital is shorter, then there is a problem in be health

  Java class for TSConsultResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TSConsultResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Status" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Error" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}ErrorType" minOccurs="0"/>
               <element name="TSList" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}TimeStampIdentification" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TSConsultResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorType` | `getError()` Gets the value of the error property.
    `String` | `getStatus()` Gets the value of the status property.
    `List<TimeStampIdentification>` | `getTSLists()` Gets the value of the tsLists property.
    `void` | `setError(ErrorType value)` Sets the value of the error property.
    `void` | `setStatus(String value)` Sets the value of the status property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TSConsultResponse

          public TSConsultResponse()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(String value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `String`

    - #### getError

          public ErrorType getError()

      Gets the value of the error property.
      Returns:
        possible object is `ErrorType`

    - #### setError

          public void setError(ErrorType value)

      Sets the value of the error property.
      Parameters:
        `value` - allowed object is `ErrorType`

    - #### getTSLists

          public List<TimeStampIdentification> getTSLists()

      Gets the value of the tsLists property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tsLists property.

      For example, to add a new item, do as follows:

              getTSLists().add(newItem);

      Objects of the following type(s) are allowed in the list `TimeStampIdentification`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.